package com.ociweb.midp2;

import java.io.IOException;

import javax.microedition.media.Manager;
import javax.microedition.media.MediaException;
import javax.microedition.media.Player;
import javax.microedition.midlet.MIDlet;

/**
 * @author balbes
 *
 * To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Generation - Code and Comments
 */
public class PlayRecordedSoundFromWebMIDlet extends MIDlet {
	
	protected void pauseApp() {}
	
	protected void destroyApp(boolean unconditional){}
	
	protected void startApp() {
		try {
			Player player = Manager.createPlayer("http://localhost/bark.wav");
            player.start();
		} catch (MediaException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
        }
	}	
}
